Package org.apache.qpid.proton.engine

# Enum EndpointState

java.lang.Object
java.lang.Enum<EndpointState>
org.apache.qpid.proton.engine.EndpointState

All Implemented Interfaces:
  `Serializable`, `Comparable<EndpointState>`

public enum EndpointState extends Enum<EndpointState>
Represents the state of a communication endpoint.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
`CLOSED`
`UNINITIALIZED`

## Method Summary

Modifier and Type
Method
Description
`static EndpointState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static EndpointState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNINITIALIZED

public static final EndpointState UNINITIALIZED

### ACTIVE

public static final EndpointState ACTIVE

### CLOSED

public static final EndpointState CLOSED

## Method Details

### values

public static EndpointState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static EndpointState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null